package com.kmall.api.service;

import com.kmall.api.dao.ApiOrderBuyerPayCheckMapper;
import com.kmall.api.entity.OrderBuyerPayCheckEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 订单订购人支付人核验记录Service实现类
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-10-25 17:53:21
 */
@Service
public class ApiOrderBuyerPayCheckService{
    @Autowired
    private ApiOrderBuyerPayCheckMapper orderBuyerPayCheckMapper;

    
    public OrderBuyerPayCheckEntity queryObject(Integer id) {
        return orderBuyerPayCheckMapper.queryObject(id);
    }

    public List<OrderBuyerPayCheckEntity> queryList(Map<String, Object> map) {
        return orderBuyerPayCheckMapper.queryList(map);
    }

    public int queryTotal(Map<String, Object> map) {
        return orderBuyerPayCheckMapper.queryTotal(map);
    }

    public int save(OrderBuyerPayCheckEntity orderBuyerPayCheck) {
        return orderBuyerPayCheckMapper.save(orderBuyerPayCheck);
    }

    public int update(OrderBuyerPayCheckEntity orderBuyerPayCheck) {
        return orderBuyerPayCheckMapper.update(orderBuyerPayCheck);
    }

    public int delete(Integer id) {
        return orderBuyerPayCheckMapper.delete(id);
    }

    public int deleteBatch(Integer[]ids) {
        return orderBuyerPayCheckMapper.deleteBatch(ids);
    }
}
